/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package okapi;

/**
 * A NetOkapiProcess is one that is not assigned to a particular Scheduler. They
 * are meant to be created and then serialized to be sent to some sort of
 * scheduler to be wrapped and executed, then returned.
 * @author Sean Kelly
 */
public abstract class NetOkapiProcess extends OkapiProcess {
    /**
     * Creates a NetOkapiProcess with the default disposal technique -
     * WAIT_TIL_RECEIVED
     */
    public NetOkapiProcess()
    {
        super();
    }
    
    /**
     * Creates a NetOkapiProcess with the specified process disposal technique.
     * @param opd The process disposal technique to use.
     */
    public NetOkapiProcess(OkaProcessDisposal opd)
    {
        super(opd);
    }
}
