package okapi.net.protocol;

import okapi.OkapiProcess;

/**
 * A ProcessRequest holds information that a SchedulerServer sends to remote
 * nodes about processes that should be executed, including the process itself.
 * @author Sean Kelly
 */
public class ProcessRequest extends OkapiNetMessage {
    public OkapiProcess toDo;
    
    public ProcessRequest()
    {
        this.type = OkapiMessageType.PROCESSREQUEST;
    }
}
