package okapi.net.protocol;

/**
 * A SchedulerPing is sent by a scheduler to a SlaveNode, alerting the node to
 * connect to a scheduler at the same address on the given port.
 * @author Sean Kelly
 */
public class SchedulerPing extends OkapiNetMessage {
    public int port; // Port on which to connect
    public SchedulerPing()
    {
        super.type = OkapiMessageType.SCHEDULERPING;
    }
}
